- Aldebaran documentation |
- C++ Libraries |
- index

alrobotmodel 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
Sim::DCMActuator Class Referenceabstract

DCMActuator defines a generic actuator which commands are communicated through the DCM. More...

`#include <alrobotmodel.h>`

## Public Member Functions
| DCMActuator (class DCMActuatorImpl *impl)
| private constructor. More...
| DCMActuator (const DCMActuator &other)
| copy constructor. More...
| ~DCMActuator ()
| destructor More...
const std::vector< std::string > & | dcmKeys () const
| returns a vector of the strings in the DCM concerning this actuator. More...
virtual int | bufferSize () const =0
| returns the maximum size of the buffer of a measure from the DCMActuator in bits. More...
Public Member Functions inherited from Sim::Actuator
| Actuator (class ActuatorImpl *impl)
| private constructor. More...
| Actuator (const Actuator &other)
| copy constructor. More...
| ~Actuator ()
| destructor. More...
const Frame * | frame () const
| returns the Frame of the Actuator. More...
virtual const std::string & | name () const
| returns the name of the Actuator. More...
Type | type () const
| returns the Type of the Actuator. More...

## Additional Inherited Members
Public Types inherited from Sim::Actuator
enum | Type { ANGLE_MOTOR, COUPLED_MOTOR, TORQUE_MOTOR, ANGLE_SPEED_MOTOR, WHEEL_TORQUE, WHEEL_VELOCITY, LED }
| gives the type of the Actuator. More...
Public Attributes inherited from Sim::Actuator
ActuatorImpl * | a_impl
| private implementation More...

## Detailed Description

DCMActuator defines a generic actuator which commands are communicated through the DCM.

Definition at line 642 of file alrobotmodel.h.

## Constructor & Destructor Documentation

Sim::DCMActuator::DCMActuator | ( | class DCMActuatorImpl * | impl | ) |

private constructor.

Sim::DCMActuator::DCMActuator | ( | const DCMActuator & | other | ) |

copy constructor.

Sim::DCMActuator::~DCMActuator | ( |  | ) |

destructor

## Member Function Documentation

virtual int Sim::DCMActuator::bufferSize | ( |  | ) | const
| pure virtual

returns the maximum size of the buffer of a measure from the DCMActuator in bits.

Implements Sim::Actuator.

Implemented in Sim::LEDActuator, Sim::WheelVelocityActuator, Sim::WheelTorqueActuator, Sim::AngleSpeedActuator, Sim::TorqueActuator, Sim::CoupledActuator, and Sim::AngleActuator.

const std::vector<std::string>& Sim::DCMActuator::dcmKeys | ( |  | ) | const

returns a vector of the strings in the DCM concerning this actuator.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/agility/alrobotmodel/libalrobotmodel/alrobotmodel/alrobotmodel.h